Skip to main content
POST
/
v1
/
table
/
{table_uuid}
/
rows
Insert multiple rows
curl --request POST \
  --url https://api.databar.ai/v1/table/{table_uuid}/rows \
  --header 'Content-Type: application/json' \
  --header 'x-apikey: <x-apikey>' \
  --data '
{
  "options": {
    "allow_new_columns": true,
    "dedupe": {
      "enabled": true,
      "keys": [
        "column1",
        "column2",
        "column3"
      ]
    }
  },
  "return_rows": false,
  "rows": [
    {
      "fields": {
        "email": "alice@example.com",
        "first_name": "Alice",
        "title": "PM"
      }
    },
    {
      "fields": {
        "email": "bob@example.com",
        "first_name": "Bob"
      }
    }
  ]
}
'
{
  "results": [
    {
      "action": "created",
      "id": "a1b2c3d4-0000-0000-0000-000000000001",
      "index": 0
    },
    {
      "action": "created",
      "id": "a1b2c3d4-0000-0000-0000-000000000002",
      "index": 1
    }
  ]
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

table_uuid
string<uuid>
required

The UUID of the table

Body

application/json
rows
InsertRow · object[]
required

List of rows to insert (max 50).

Required array length: 1 - 50 elements
options
InsertOptions · object

Insert options (auto-create columns, deduplication).

return_rows
boolean
default:false

If true, each result includes full row_data after insert.

Response

Successful Response

results
BatchInsertResultItem · object[]
required